Bug 2618 - samba-vscan build fails if SAMBA_VERSION_RELEASE is a non integer value
samba-vscan build fails if SAMBA_VERSION_RELEASE is a non integer value
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.13
All Linux
: P3 major
: none
Assigned To: Lars Müller
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-15 07:45 UTC by Lars Müller
Modified: 2005-08-24 10:18 UTC (History)
1 user (show)

See Also:


Attachments
Add SAMBA_VERSION_RELEASE_SUFFIX to mkversion.sh (1.72 KB, patch)
2005-04-15 07:47 UTC, Lars Müller
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Müller 2005-04-15 07:45:57 UTC
It might be helpfull to have an additional suffix to SAMBA_VERSION_RELEASE like
14a.  But the 'a' character of the SAMBA_VERSION_RELEASE will break the
samba-vscan build.
Comment 1 Lars Müller 2005-04-15 07:47:31 UTC
Created attachment 1162 [details]
Add SAMBA_VERSION_RELEASE_SUFFIX to mkversion.sh
Comment 2 Tim Potter 2005-08-02 13:30:16 UTC
Hey you can fix it yourself now!  (-:
Comment 3 Lars Müller 2005-08-03 20:08:01 UTC
Fixed with svn rev 9038 for trunk, 3_0, and 4_0.  Reverted from svn rev 414.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:18:07 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.